--- title: "createVpcPeeringInstance" slug: "networking-vpc-vpcpeering-createvpcpeeringinstance" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vpc-vpcpeering-createvpcpeeringinstance" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createVpcPeeringInstance Available in VPC Create a VPC peering instance through the peering request. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vpc/v2/createVpcPeeringInstance | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all VPC APIs, see [VPC common headers](/docs/en/networking-vpc#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code where you want to create a VPC peering instance - First Region of the query result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). | | `vpcPeeringName` | String | Optional | Name of the VPC peering to create - Granted automatically by NAVER Cloud Platform (default) - 3 to 30 characters, including letters, numbers, and the special character "-". It must begin with an English letter and end with an English letter or number. | | `sourceVpcNo` | String | Required | VPC number sending the peering request - See [getVpcList](/docs/en/networking-vpc-vpcmanagement-getvpclist). | | `targetVpcNo` | String | Required | VPC number receiving the peering request - See [getVpcList](/docs/en/networking-vpc-vpcmanagement-getvpclist) on the account receiving the request. - If the VPC sending the peering request and the VPC receiving the request have overlapping IPv4 CIDR blocks, then they can't be connected via VPC peering. | | `targetVpcName` | String | Conditional | Name of the VPC receiving the peering request - If the account receiving the peering request is different from the sending account, you must enter the name of the VPC receiving the request. | | `targetVpcLoginId` | String | Conditional | VPC owner ID (in email format) receiving the peering request - If the account receiving the request is different from the account sending the request, you must enter the account receiving the request. | | `vpcPeeringDescription` | String | Optional | Description of VPC peering you want to create (byte) - 0-1000 | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/createVpcPeeringInstance?regionCode=KR &vpcPeeringName=test-*** &sourceVpcNo=***05 &targetVpcNo=***06' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [VpcPeeringInstanceList](/docs/en/common-vapidatatype-vpcpeeringinstancelist) for the response body. ### Response status codes For information about the HTTP status codes common to all VPC APIs, see [VPC response status codes](/docs/en/networking-vpc#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` 450c98e2-dca5-46f7-9f35-5ec1a1728213 0 success 1 ***6212 test-*** KR 2020-08-07T17:53:06+0900 2020-08-05T20:53:16+0900 INIT init Creating NULL NULL OP ***05 test-*** ***.**1.0.0/16 test-***@naver.com ***06 test-*** ***.**2.0.0/16 test-***@naver.com false false ```